Package virtuoso.jdbc4

## Class VirtuosoConnection.VhostRec

- java.lang.Object
- - virtuoso.jdbc4.VirtuosoConnection.VhostRec

Enclosing class:
  VirtuosoConnection

    protected class VirtuosoConnection.VhostRec
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `host`
`protected int` `port`

### Constructor Summary

Constructors
`protected` `VhostRec​(java.lang.String _host, int _port)`
`protected` `VhostRec​(java.lang.String _host, java.lang.String _port)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### host

    protected java.lang.String host

#### port

    protected int port

### Constructor Detail

#### VhostRec

    protected VhostRec​(java.lang.String _host,
                       java.lang.String _port)
                throws VirtuosoException

Throws:
  `VirtuosoException`

#### VhostRec

    protected VhostRec​(java.lang.String _host,
                       int _port)
                throws VirtuosoException

Throws:
  `VirtuosoException`